# Type alias Node

Node: {
constructor: {
fromInfo: ((mmpt: default, key: Uint8Array, info: DecryptedNode) => Node);
};
header: {
bareNameFilter: BareNameFilter;
metadata: Metadata;
revision: number;
};
key: string;
mmpt: default;
}

#### Type declaration

- ##### constructor: {
  fromInfo: ((mmpt: default, key: Uint8Array, info: DecryptedNode) => Node);
  }

  - ##### fromInfo: ((mmpt: default, key: Uint8Array, info: DecryptedNode) => Node)

    - - (mmpt: default, key: Uint8Array, info: DecryptedNode): Node

      - #### Parameters

        - ##### mmpt: default

        - ##### key: Uint8Array

        - ##### info: DecryptedNode

        #### Returns Node

- ##### header: {
  bareNameFilter: BareNameFilter;
  metadata: Metadata;
  revision: number;
  }

  - ##### bareNameFilter: BareNameFilter

  - ##### metadata: Metadata

  - ##### revision: number

- ##### key: string

- ##### mmpt: default

- Defined in fs/v1/PrivateHistory.ts:15

Generated using TypeDoc